<?php

namespace App\ViewModels\PagSeguro\PagSeguroNotificationCreditCard;

use App\Utils\Entity;

class PagSeguroItemViewModel extends Entity {
	protected $reference_id;
	protected $name;
	protected $quantity;
	protected $unit_amount;

	public static function builder(): PagSeguroItemViewModelBuilder {

		return new PagSeguroItemViewModelBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getReferenceId() {

		return $this->reference_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getName() {

		return $this->name;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getQuantity() {

		return $this->quantity;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getUnitAmount() {

		return $this->unit_amount;

	}

	/**
	 *
	 * @param mixed $reference_id
	 */
	public function setReferenceId($reference_id) {

		$this->reference_id = $reference_id;

	}

	/**
	 *
	 * @param mixed $name
	 */
	public function setName($name) {

		$this->name = $name;

	}

	/**
	 *
	 * @param mixed $quantity
	 */
	public function setQuantity($quantity) {

		$this->quantity = $quantity;

	}

	/**
	 *
	 * @param mixed $unit_amount
	 */
	public function setUnitAmount($unit_amount) {

		$this->unit_amount = $unit_amount;

	}

}

